
/*
The circuit
* On the Infineon 
* SI = pin 20
* CLK = pin 19
* CS = pin 18

On the Arduino
* CS = digital pin 10 (SS pin)
* SI = digital pin 11 (MOSI pin)
* CLK = digital pin 13 (SCK pin)

B - connect this to ground
*/
#include <SPI.h>

const int slaveSelectPin = 10;

void setup() {
  pinMode (slaveSelectPin, OUTPUT); //configure pin to behave as output pin
  //initialize SPI
    SPI.setClockDivider(SPI_CLOCK_DIV2); 
  SPI.begin(); //Initializes the SPI bus by setting SCK, MOSI, and SS to outputs, pulling SCK and MOSI low, and SS high
  SPI.setBitOrder(MSBFIRST);
}


void loop()
{
  digitalWrite(10,LOW); //new
  SPI.transfer(0b00000000); //new
  SPI.transfer(LOW);
  SPI.transfer(0b00000000);
  SPI.transfer(LOW); //new //clear the register, send 0's through
  //digitalWrite(10,HIGH); //new
}


